Subject: bug#25216: 26.0.50 [regression]; Curly quotes are not found in some sizes of ‘Terminus’ font

From: Eli Zaretskii <[email-masked]>
Date: Tue, 20 Dec 2016 05:34:59 +0200

> From: Dmitry Alexandrov <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 20 Dec 2016 05:51:04 +0300
> 
> > And I still don't understand why you need that.  AFAICS, Emacs
> > explicitly tries to use the default font for punctuation and symbol
> > characters before falling back on looking up other fonts.
> 
> Do you mean that you could not reproduce this?

It means I don't understand how it could happen.  The function
face_for_char (defined in fontset.c) explicitly tries the current
default font for any punctuation and symbol character, before it
starts looking in other fonts.  I don't understand why this fails for
you, and only in certain font sizes on top of that.  Perhaps you could
step through that code with a debugger and see what happens there?